import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserCreateNestedOneWithoutLabRxTemplatesInputObjectSchema as UserCreateNestedOneWithoutLabRxTemplatesInputObjectSchema } from './UserCreateNestedOneWithoutLabRxTemplatesInput.schema'

const makeSchema = () => z.object({
  name: z.string(),
  labName: z.string().optional().nullable(),
  labPhone: z.string().optional().nullable(),
  labFax: z.string().optional().nullable(),
  labAddress: z.string().optional().nullable(),
  labAccount: z.string().optional().nullable(),
  caseType: z.string().optional().nullable(),
  material: z.string().optional().nullable(),
  instructions: z.string().optional().nullable(),
  sortOrder: z.number().int().optional(),
  createdAt: z.coerce.date().optional(),
  user: z.lazy(() => UserCreateNestedOneWithoutLabRxTemplatesInputObjectSchema)
}).strict();
export const LabRxTemplateCreateInputObjectSchema: z.ZodType<Prisma.LabRxTemplateCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.LabRxTemplateCreateInput>;
export const LabRxTemplateCreateInputObjectZodSchema = makeSchema();
